[PLFS PATCH] Re: Call for PLFS script patches since 2.2.8 (alpha)

Joachim Schmeling schmeling at tiscali.dk
Tue Apr 29 19:56:13 PDT 2003


Hi Ryan

> To all happily hacking away, could I kindly ask if you could possibly get
> any stuff you want fixed in the scripts in today or tomorrow.
> (patches against the original 2.2.8 pls ;-) )

Just i little correction and an ugly addition to the script, perhabs it can
be done better.
(zlib will not compile on alpha because of the gp-relative relocation issue
mentioned
 by Kelledin here http://skarpsey.dyndns.org/alpha-lfs/alpha.html )
Joachim
----------------------------------------------------------------------------
--------------------
diff -Naur 2.2.8.orig/build-ch5-2.2.8.sh 2.2.8/build-ch5-2.2.8.sh
--- 2.2.8.orig/build-ch5-2.2.8.sh Wed Apr 30 03:33:48 2003
+++ 2.2.8/build-ch5-2.2.8.sh Wed Apr 30 03:38:59 2003
@@ -661,7 +661,7 @@
       ARCH=rs6000
    ;;

-   alpha )
+   alpha* )
       echo "Additional work may be required in this script for alpha..."
       echo "Please let the authors know of any architecture dependant mods
you require"
       echo "( hardware donations also accepted ;-) )"
@@ -961,14 +961,27 @@
 # Apply Kelledin's vsnprintf patch
 # see http://archive.linuxfromscratch.org/lfs-dev/2003/02/.....
 max_log_init Zlib ${ZLIB_VER} "initial (shared)" ${CONFLOGS} ${LOG}
-test "1.1.4" = "${ZLIB_VER}" &&
+test "alpha" = "${ARCH}" &&
 {
+ test "1.1.4" = "${ZLIB_VER}" &&
+ {
+    apply_patch zlib-${ZLIB_VER}-2-vsnprintf
+    CFLAGS="-O2 -pipe -fPIC" CPPFLAGS="-DHAS_vsnprintf"
./configure --prefix=/stage1 --shared \
+       >> ${LOGFILE} 2>&1
+ } || {
+    CFLAGS="-O2 -pipe -fPIC" ./configure --prefix=/stage1 --shared \
+       >> ${LOGFILE} 2>&1
+ }
+} || {
+ test "1.1.4" = "${ZLIB_VER}" &&
+ {
    apply_patch zlib-${ZLIB_VER}-2-vsnprintf
    CFLAGS="-O2 -pipe" CPPFLAGS="-DHAS_vsnprintf"
./configure --prefix=/stage1 --shared \
-      >> ${LOGFILE} 2>&1
-} || {
+      >> ${LOGFILE} 2>&1
+ } || {
    CFLAGS="-O2 -pipe" ./configure --prefix=/stage1 --shared \
-      >> ${LOGFILE} 2>&1
+      >> ${LOGFILE} 2>&1
+ }
 }
 echo " o Configure OK" &&

-------------- next part --------------
A non-text attachment was scrubbed...
Name: build-ch5-2.2.8.sh.diff
Type: application/octet-stream
Size: 1451 bytes
Desc: not available
URL: <http://lists.linuxfromscratch.org/pipermail/lfs-dev/attachments/20030430/3804bd63/attachment.obj>


More information about the lfs-dev mailing list